import { createRouter, createWebHashHistory } from "vue-router";

import UploadTranslate from "./../views/upload/UploadTranslate.vue";

import DownloadTranslate from "./../views/download/DownloadTranslate.vue";

import Home from "./../views/home/Home.vue";

import Root from "./../views/Root.vue";

import Login from "./../views/login/Login.vue";

const routes = [
  {
    path: "/",
    redirect: "/login",
  },
  {
    path: "/login",
    name: "Login",
    component: Login,
  },
  {
    path: "/home",
    component: Root,
    redirect: "/home_translate",
    children: [
      {
        path: "/upload_translate",
        name: UploadTranslate,
        component: UploadTranslate,
      },
      {
        path: "/download_translate",
        name: DownloadTranslate,
        component: DownloadTranslate,
      },
      {
        path: "/home_translate",
        name: Home,
        component: Home,
      },
    ],
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});
export default router;
