import service from "../request/index"

/**
 * @returns 
 */
export function init(appId, location,backup,uniqueId) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/init",
        data: {
            appId,
            location,
            backup,
            uniqueId
        }
    })
}

/**
 * @returns 
 */
export function localPhpConvertPre(origin) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/common/local_php_convert_pre",
        data: {
            origin
        }
    })
}

/**
 * @returns 
 */
export function moduleConfig(appId,modules) {
    return service.request({
        method: "post",
        url: "v2/admin/translate/module/config",
        data: {
            appId,
            modules
        }
    })
}


/**
 * @returns 
 */
export function commonTips(appId) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/common/tips",
        data: {
            appId
        }
    })
}

/**
 * @returns 
 */
export function appUpdate(version,platform,arch) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/common/app_update",
        data: {
            version,
            platform,
            arch
        }
    })
}





/**
 * @returns 
 */
export function dataConvert(origin) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/download/data_convert",
        data: {
            origin
        }
    })
}

/**
 * @returns 
 */
export function phpDataConvert(origin,filePre,appId,channel) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/download/php_data_convert",
        data: {
            origin,
            filePre,
            appId,
            channel
        }
    })
}





/**
 * @returns 
 */
export function platforms() {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/platforms",
        data: {

        }
    })
}

/**
 * @returns 
 */
export function projectAsync(appId,uniqueId) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/project/async",
        data: {
            appId,
            uniqueId
        }
    })
}


/**
 * @returns 
 */
export function downloadPre(appId, page) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/download/pre",
        data: {
            appId,
            page
        }
    })
}

/**
 * @returns 
 */
export function downloadList(appId) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/download/list",
        data: {
            appId
        }
    })
}


/**
 * @returns 
 */
export function projectList(unique_id) {
    return service.request({
        method: "post",
        url: "/v2/admin/translate/project/list",
        data: {
            unique_id
        }
    })
}



/**
 * @returns 
 */
export function upload(currentChannel, channels, items, appId,moduleList) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/upload",
        data: {
            currentChannel,
            channels,
            items,
            appId,
            moduleList
        }
    })
}

/**
 * @returns 
 */
export function login(token) {
    return service.request({
        method: "post",
        url: "v2/desktop/translate/login",
        data: {
            token
        }
    })
}



// /**
//  * 翻译内容
//  * @param  content 
//  * @returns 
//  */
// export function translateContent(content) {
//   return service.request({
//     method: "get",
//     url: "https://www.mxnzp.com/api/convert/translate/base64?content=" + window.btoa(unescape(encodeURIComponent(content))) + "&from=zh&to=en&app_id=xgjftdiauwetheop&app_secret=NlBselBJVUdDOVZKKyt5MXU0Ym5lUT09",
//     data: {

//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateSplit(id) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/split",
//     data: {
//       id: id
//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateDelete(id) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/delete",
//     data: {
//       id: id
//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateMerge(fromId, toId) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/merge",
//     data: {
//       fromId: fromId,
//       toId: toId
//     }
//   })
// }

// /**
//  * @returns 
//  */
//  export function translateConfirm(id, status) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/confirm",
//     data: {
//       id: id,
//       status: status
//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateDownloadTools() {
//   return service.request({
//     method: "post",
//     url: "admin/translate/tools/download",
//     data: {}
//   })
// }


// /**
//  * @returns 
//  */
// export function translateEdit(id, translate) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/edit",
//     data: {
//       id: id,
//       translate: translate
//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateModules() {
//   return service.request({
//     method: "post",
//     url: "admin/translate/modules",
//     data: {}
//   })
// }


// /**
//  * @returns 
//  * 更新远程module列表
//  */
// export function translateUpdateModulesList() {
//   return service.request({
//     method: "post",
//     url: "admin/translate/modules/update/list",
//     data: {}
//   })
// }

// /**
//  * @returns 
//  * 更新module
//  */
// export function translateUpdateModules(id, label) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/modules/update",
//     data: {
//       id: id,
//       label: label
//     }
//   })
// }

// /**
//  * @returns 
//  */
// export function translateLog(translateId) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/log/list",
//     data: {
//       translateId: translateId
//     }
//   })
// }

// /**
//  * @returns 重置token
//  */
//  export function resetToken() {
//   return service.request({
//     method: "post",
//     url: "admin/translate/user/resettoken",
//     data: {

//     }
//   })
// }

// /**
//  * @returns 修改密码
//  */
//  export function changePsw(password) {
//   return service.request({
//     method: "post",
//     url: "admin/translate/user/changepsw",
//     data: {
//       password: password
//     }
//   })
// }