import GlobalConstants from './constants.js'
export default {
    getStorage(key) {
        let content = window.localStorage.getItem(key)
        if (!content || content == "") {
            return ""
        }
        try {
            return JSON.parse(window.localStorage.getItem(key))
        } catch (e) {
            return content
        }
    },
    saveStorage(key, value) {
        try {
            let json = JSON.stringify(value)
            window.localStorage.setItem(key, json)
        } catch (e) {
            window.localStorage.setItem(key, value)
        }
    },
    clearStorage(key) {
        try {
            window.localStorage.removeItem(key)
        } catch (e) {
            window.localStorage.setItem(key, value)
        }
    },
    saveProjectData(data) {
        this.saveStorage(GlobalConstants.LOCAL_SELECT_PROJECT, JSON.stringify(data))
    }
}